Engin TP = {};


function Engin TP.prerequisitesPresent(specializations)
      return true;
end;

function Engin TP:load(xmlFile)	
end;

function Engin TP:delete()
end;

function Engin TP:readStream(streamId, connection)
end;
  
function Engin TP:writeStream(streamId, connection)
end;

function Engin TP:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Engin TP:keyEvent(unicode, sym, modifier, isDown)    
end;

function Engin TP:update(dt)
end;

function Engin TP:onLeave()
end;  
      
function Engin TP:draw()  	
end;

function Engin TP:onDeactivateSounds()
end;

function Engin TP:onDeactivate()
end;

function Engin TP:anim(varName, loopCheck)
end;

function Engin TP:connectCollisions(varName)
end;

function Engin TP:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

function Engin TP:doRotate(index, boolean, dt)
end;

	local name = "Engin TP"

	
	if StoreItemsUtil.storeCategories[name] == nil then
		local numCat = 0;
		
		for catName in pairs(StoreItemsUtil.storeCategories) do
			numCat = numCat + 1;
		end;
		
		StoreItemsUtil.storeCategories[name] = {orderId = numCat + 1, name = name, title = g_i18n:getText(name), image = g_currentModDirectory .. "storeb.dds"};
	end;
